Inhoud
Index 🔎︎

# Functie StrComp

Vergelijkt twee tekenreeksen en geeft een geheel getal als het resultaat van de vergelijking.

## Syntaxis:

    StrComp (Tekst1 As String, Tekst2 As String[, Vergelijken])

## Teruggegeven waarde:

Integer

## Parameter:

Tekst1: Een tekenreeks

Tekst2: Een tekenreeks

Vergelijk: Met deze optionele parameter wordt de vergelijkingsmethode ingesteld. Als Vergelijk = 1, is de tekenreeksvergelijking hoofdlettergevoelig. Is Vergelijk = 0, dan wordt er geen onderscheid gemaakt tussen hoofdletters en kleine letters.

### Teruggegeven waarde

- Als Tekst1 < Tekst2, geeft de functie -1 terug

- Als Tekst1 = Tekst2, geeft de functie 0 terug

- Als Tekst1 > Tekst2, geeft de functie 1 terug

### Foutcodes:

5 Ongeldige aanroep van procedure

## Voorbeeld:

    Sub ExampleStrComp
    Dim iVar As Single
    Dim sVar As String
        iVar = 123.123
        sVar = Str$(iVar)
        MsgBox strcomp(sVar , Str$(iVar),1)
    End Sub